
void init_keywords_extra() {

  // initialize the atomlist with the real number primitive functions

  realatom = atomize_string();
  flooratom = atomize_string();
  ceilingatom = atomize_string();
  truncateatom = atomize_string();
  roundatom = atomize_string();
  exactinexactatom = atomize_string();
  inexactexactatom = atomize_string();

  return;
}

void gc_copy_keywords_extra() {

  // locate global real number keywords during a gc

  realatom = gc_copy(realatom);
  flooratom = gc_copy(flooratom);
  ceilingatom = gc_copy(ceilingatom);
  truncateatom = gc_copy(truncateatom);
  roundatom = gc_copy(roundatom);
  exactinexactatom = gc_copy(exactinexactatom);
  inexactexactatom = gc_copy(inexactexactatom);

  return;
}
